#!/usr/bin/vim -s
:inoremap ^ <Esc>
i

from sys import stdin, stdout

def fizz(s): stdout.write("Fizz " + s); return fuzz
def fuzz(s): stdout.write("Fuzz " + s); return fozz
def fozz(s): stdout.write("Fozz " + s); return fizz

f = fuzz
for line in stdin: f = f(line)

use std::io::prelude::*;

fn main() {
  for l in std::io::stdin().lock().lines().map(|l| l.unwrap()) {
    println!("{} {}", l.replace("o", "u"), l.chars().last().unwrap())
  }
}

s/[05]$/Buzz/
s/[^z]$/Bizz/

data F = Fizz Int B | Fuzz Int B deriving Read
data B = Buzz | Bizz deriving Read

instance Show F where
  show (Fizz n Buzz) = "FizzBuzz"
  show (Fizz n Bizz) = "Fizz"
  show (Fuzz n Buzz) = "Buzz"
  show (Fuzz n Bizz) = show n

main :: IO ()
main = interact $ unlines . map show . map (read :: String -> F) . lines

^
:3,10w! 1.py
:12,18w! 2.rs
:20,21w! 3.s
:23,33w! 4.hs
:!rustc 2.rs
cgg1qqYpq98@q:%!python3 1.py | ./2 | sed -f 3.s | runghc 4.hs
